# make this explicit - just in case the var is set badly
rm -rf ipk_root

IPK_ROOT=ipk_root/
IPK_ROOT_Q=$IPK_ROOT/opt/QtPalmtop

# used to ln for speed but this causes problems untarring - don't be clever!

mkdir -p $IPK_ROOT/CONTROL
cp Shopper.control $IPK_ROOT/CONTROL/control
#cp conffiles $IPK_ROOT/CONTROL/
# The preinst/postinst scripts need to be headed: #!/bin/sh or ipkg dies
cp install-post $IPK_ROOT/CONTROL/postinst
cp install-pre $IPK_ROOT/CONTROL/preinst

mkdir -p $IPK_ROOT_Q/bin
mkdir -p $IPK_ROOT_Q/apps/Applications
mkdir -p $IPK_ROOT_Q/pics/
mkdir -p $IPK_ROOT_Q/help/html/
mkdir -p $IPK_ROOT_Q/etc/

cp Shopper $IPK_ROOT_Q/bin
cp Shopper.desktop $IPK_ROOT_Q/apps/Applications
cp Shopper.png $IPK_ROOT_Q/pics/
cp Shopper.html $IPK_ROOT_Q/help/html/
cp shoppinglist.xml $IPK_ROOT_Q/etc/

cd $IPK_ROOT
name=`cat  CONTROL/control | grep "Package:" | cut -d" " -f2`
arch=`cat  CONTROL/control | grep "Architecture:" | cut -d" " -f2`
vers=`cat CONTROL/control | grep "Version:" | cut -d" " -f2`
if [ "$name" = "" ]; then echo "Package name in CONTROL/control not found" ; exit 1; fi


tar -zcf data.tar.gz ./* --exclude=CONTROL --exclude=buildipkg.sh --exclude=*~ --exclude=*.ipk

(cd CONTROL ; tar -zcf ../control.tar.gz .)
echo "2.0" > debian-binary
tar -zcf package.tar.gz ./control.tar.gz ./data.tar.gz ./debian-binary
mv package.tar.gz ../$name\_$vers\_$arch.ipk
cd ..
rm -rf $IPK_ROOT
