// Copyright (c) 2002,2003 Jesper Pedersen, David Greaves
//
//     This file is part of Shopper.

//     Shopper is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.

//     Shopper is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.

//     You should have received a copy of the GNU General Public License
//     along with Shopper; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//     $Id: categoryitem.h,v 1.1.1.1 2003/11/21 16:45:20 arbor Exp $

#ifndef __CATEGORYITEM_H
#define __CATEGORYITEM_H

#include <qaction.h>
#include <qlist.h>
class QPopupMenu;

class CategoryItem :public QAction 
{
  Q_OBJECT
  
public:
  CategoryItem( const QString& name, QObject* parent );
  QString name() const;
  void setName( const QString& name );
};

class CategoryList :public QList<CategoryItem> 
{
protected:
  virtual int compareItems( QCollection::Item i1, QCollection::Item i2 );
};

typedef QListIterator<CategoryItem> CategoryListIterator;
#endif // __CATEGORYITEM_H
