// Copyright (c) 2003 David Greaves
//
//     This file is part of Shopper.

//     Shopper is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.

//     Shopper is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.

//     You should have received a copy of the GNU General Public License
//     along with Shopper; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//     $Id: prefsdialog.h,v 1.1 2003/12/11 16:16:37 arbor Exp $

#ifndef PREFSDIAGLOG_H
#define PREFSDIAGLOG_H

#include <qtabdialog.h>
#include "options.h"
class QCheckBox;


class PrefsDialog : public QTabDialog
{ 
  Q_OBJECT
  
public:
  PrefsDialog(Options *options, QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~PrefsDialog();
    
signals:
  void done();

private slots:
  void setPrefs();
  void getPrefs();

private:
  QWidget* _tab;
  QCheckBox* _cShowNotes;
  QCheckBox* _cShowCategory;
  QCheckBox* _cFastChange;
  Options* _options;

};

#endif // PREFSDIAGLOG_H
